<div>
  <div class="d-flex align-center justify-space-between">
    <div class="d-flex align-center">
      <p class="mb-0 text-lg text-content-main font-semibold leading-7">
        Discounts
      </p>
    </div>
    <div>
      <nuxt-link to="/admin/discounts/create">
        <v-btn color="#076CE3" class="elevation-0" height="44px">
          <div class="d-flex align-center">
            <v-icon color="#ffffff"> mdi-plus </v-icon>
            <p class="ml-2 mb-0 fsize-16 text-capitalize white--text">
              Create Discount
            </p>
          </div>
        </v-btn>
      </nuxt-link>
    </div>
  </div>
  <div class="mt-8 bg-white p-4 rounded-md">
    <v-card class="pb-10 elevation-0">
      <v-skeleton-loader
        class="mx-auto mt-10"
        width="100%"
        type="card"
        v-if="loadingTable"
      >
      </v-skeleton-loader>
      <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
        <template v-slot:default>
          <thead>
            <tr>
              <th class="table-head rounded-tl-lg">
                <div class="d-flex align-center" style="width: 300px">
                  <p class="mb-0 captionOverline text-content-main">
                    Discount Code
                  </p>
                </div>
              </th>
              <th class="table-head text-left">
                <div style="width: 200px">
                  <p class="mb-0 captionOverline text-content-main">Status</p>
                </div>
              </th>
              <th class="table-head text-left rounded-tr-lg">
                <div style="width: 300px">
                  <p class="mb-0 captionOverline text-content-main">
                    Active Date
                  </p>
                </div>
              </th>
            </tr>
          </thead>
          <tbody>
            <tr
              v-for="(discount,i) in listDiscount"
              :key="'discount' + i"
              @click="redirectPageEdit(discount._id)"
            >
              <td class="py-2">
                <p
                  class="mb-0 text-content-main text-sm font-semibold leading-5"
                >
                  {{discount.code}}
                </p>
                <p
                  class="mb-0 text-content-main text-sm font-normal mt-2 leading-5"
                >
                  <span v-if="discount.discountType === 1">
                    {{discount.discount}}% Off Specific Seller
                  </span>
                  <span v-if="discount.discountType === 2">
                    ${{discount.discount}} Off Specific Seller
                  </span>
                  <span v-if="discount.discountType === 3">
                    Free Shipping
                  </span>
                </p>
              </td>
              <td>
                <div v-if="!discount.status">
                  <div
                    class="w-fit bg-bg-error border border-border-destructive rounded-md py-1 px-2"
                  >
                    <p
                      class="mb-0 text-content-destructive text-md font-medium"
                    >
                      Stopped
                    </p>
                  </div>
                </div>
                <div
                  v-else
                  class="w-fit bg-bg-success border border-border-success rounded-md py-1 px-2"
                >
                  <p class="mb-0 text-content-success text-md font-medium">
                    Enabled
                  </p>
                </div>
              </td>
              <td>
                <p class="mb-0 text-content-main text-sm leading-5">
                  {{discount.dateFrom && formatUnix(discount.dateFrom)}}
                </p>
              </td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>
      <div
        class="d-flex justify-center ma-4"
        v-if="listDiscount.length == 0 && !loadingTable"
      >
        <div>
          <div class="d-flex align-center justify-center">
            <img
              src="~/assets/images/discount/list-empty.png"
              alt=""
              width="136"
              height="136"
            />
          </div>
          <p
            class="mb-0 mt-4 text-content-subtitle text-sm font-semibold text-center"
          >
            No Discount Code
          </p>
          <p class="mb-0 text-xs text-center text-content-subtitle">
            Your added Discount Code will be displayed here.
          </p>
        </div>
      </div>
      <div
        class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
        v-if="listDiscount.length && !loadingTable"
      >
        <v-pagination
          v-model="config.page"
          :length="totalPage"
          :total-visible="5"
          class="pagination"
        >
        </v-pagination>
        <div
          id="hideBottomInput"
          class="input-gotopage pos-relative px-3 px-sm-0 mt-3 mt-sm-0"
        >
          <v-text-field
            dense
            outlined
            v-model.number="page"
            placeholder="Go to page"
          >
          </v-text-field>
          <div class="button-inside-input">
            <v-btn
              height="36px"
              color="#076CE3"
              class="px-0 button-inside-input__button elevation-0"
              @click="onRedirectPage()"
            >
              <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
            </v-btn>
          </div>
        </div>
      </div>
    </v-card>
  </div>
</div>
